Bug 161538 - /dev/cpu nodes screwed up again.
Summary: /dev/cpu nodes screwed up again.
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
(Show other bugs)
Version: 4
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-24 02:31 UTC by Dave Jones
Modified: 2015-01-04 22:20 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-15 11:30:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dave Jones 2005-06-24 02:31:39 UTC
We already went through fixing this for FC3, now we have a new variant of this
breakage.

(22:25:48:root@nwo:~)# ll /dev/cpu*
crw-rw----  1 root root 203, 0 Jun 20 04:07 /dev/cpu0
crw-rw----  1 root root 203, 1 Jun 20 04:07 /dev/cpu1
crw-rw----  1 root root 203, 2 Jun 20 04:07 /dev/cpu2
crw-rw----  1 root root 203, 3 Jun 20 04:07 /dev/cpu3

These should be /dev/cpu/N/cpuid
where N is 0 -> 3

Likewise, there should be msr nodes in /dev/cpu/N/

For some reason, I have no /dev/cpu dir at all.

Why does this keep breaking ?

Comment 1 Dave Jones 2005-09-05 05:20:05 UTC
fwiw, rawhide now has this braindamage too. Though a slightly different variant.
It now has symlinks from /dev/cpuN to /dev/cpu/N/cpu
Those symlinks are unnecessary. /dev/cpu/N/cpuid should be the only nodes that
exist.


Comment 2 Dave Jones 2005-11-05 05:22:19 UTC
rawhide now seems fixed, fc4 still borken.


Comment 3 Dave Jones 2005-11-13 05:29:37 UTC
actually, I take that back.
Rawhide has /dev/cpu/0/cpu  which should be /dev/cpu/0/cpuid

FC4 still has the useless /dev/cpuN symlinks, and similar 'cpu' instead of
'cpuid' breakage.

This breaks x86info, and any other package relying on these nodes being in the
right place.



Note You need to log in before you can comment on or make changes to this bug.